Bug 180767 - Invalid rpm group: Applications/CPAN
Invalid rpm group: Applications/CPAN
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-libintl (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-10 00:32 EST by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 21:40:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (2.58 KB, patch)
2006-02-10 10:07 EST, Ralf Corsepius
no flags Details | Diff

  None (edit)
Description Ralf Corsepius 2006-02-10 00:32:16 EST
Description of problem:

Invalid rpm group:
Group: Applications/CPAN

rpmlint perl-libintl-1.16-1.noarch.rpm
W: perl-libintl non-standard-group Applications/CPAN
...

Version-Release number of selected component (if applicable):
perl-libintl-1.16.1%{?dist}

Additional info:
This package's spec file diverges quite a bit from FE perl-spec standards. 
Also, rpmlint is very noisy on it. 

It probably needs an overhaul.
Comment 1 Matthias Saou 2006-02-10 07:12:24 EST
Fell free to provide a spec file patch. Or even takeover this package... I don't
want to maintain any perl modules, but needed this one for dvd::rip.
Comment 2 Ralf Corsepius 2006-02-10 09:07:26 EST
(In reply to comment #1)
> Fell free to provide a spec file patch. Or even takeover this package...
> I don't want to maintain any perl modules
I am already maintaining too many packages and am not really interested taking
over this particular package.

Anyway, I just just had a deeper look into this package and found it to be
really mis-packaged. Besides the nitpicking rpmlint complains about, the most
critical bug is this package tagged "noarch", while it actually (unless I'm
missing something) should be "arched".

I am having a deeper look into it and will try to come up with a patch.
Comment 3 Ralf Corsepius 2006-02-10 10:07:07 EST
Created attachment 124497 [details]
Proposed patch
Comment 4 Ralf Corsepius 2006-02-13 04:05:40 EST
(In reply to comment #1)
> Fell free to provide a spec file patch. Or even takeover this package... I don't
> want to maintain any perl modules, but needed this one for dvd::rip.
I've updated the spec in cvs and had let it rebuild on devel/rawhide.

Could you try the fc5-spec with dvd::rip on FC4? If it doesn't break (I can't
test it), I'd go ahead an apply the FC5 spec to FC4 and FC3.
Comment 5 Matthias Saou 2006-04-07 09:35:01 EDT
Feel free to backport the package, as all seems to be fine.
Comment 6 Christian Iseli 2007-01-17 18:18:19 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)

Note You need to log in before you can comment on or make changes to this bug.